Subject: [bug#58310] [PATCH 04/14] gnu: Add python-hatchling-bootstrap.

From: Lars-Dominik Braun <[email-masked]>
Date: Thu, 3 Nov 2022 20:59:41 +0900

Hi,

> > I think hatchling can go to python-build, since it
> > contains a PEP 517 build system, but hatchling should go to
> > python-xyz. python-hatchling-bootstrap should not be used anywhere,
> > but build a proper python-hatchling instead. Also hatchling has no
> > dependencies. These are for hatch.
> 
> Lars, I am sorry I am missed your advice about what is going where.  Is
> your point to revamp a bit the bootstrap and put all in python-xyz?
sorry, misstyped. hatchling -> python-build.scm, hatch ->
python-xyz.scm. And hatchling’s dependencies actually belong to hatch,
not hatchling, so there should be no cycles with python-xyz.scm.

Cheers,
Lars